%global tarball xf86-video-vmware
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers
%global _hardening_ldflags %[ "%{toolchain}" == "gcc" ? "-specs=/usr/lib/rpm/%{_vendor}/%{_vendor}-hardened-ld" : "" ]

Summary:       Xorg X11 vmware video driver
Name:	       xorg-x11-drv-vmware
Version:       13.4.0
Release:       2%{?dist}
URL:	       http://www.x.org
License:       MIT
Source0:       https://ftp.x.org/archive/individual/driver/%{tarball}-%{version}.tar.xz


BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: libdrm-devel pkgconfig(xext) pkgconfig(x11)
BuildRequires: mesa-libxatracker-devel >= 8.0.1-4
BuildRequires: systemd-devel
Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires videodrv)
Requires:      libxatracker >= 8.0.1-4

ExclusiveArch: x86_64

%description 
X.Org X11 vmware video driver.

%prep
%autosetup -n %{tarball}-%{version} -p1

%build
autoreconf -iv || exit 1
sed -i "s/-Wl,-z,now//" ltmain.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" -delete

%files
%{driverdir}/vmware_drv.so
%{_mandir}/man4/vmware.4*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.4.0-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 13.4.0-1
- Upgrade to version 13.4.0

* Fri Nov 17 2023 Doris Chao <doriscchao@tencent.com> - 13.3.0-6
- Use %{_vendor} in _hardening_ldflags

* Wed Oct 18 2023 Xiaojie Chen <jackxjchen@tencent.com> - 13.3.0-5
- Remove -Wl,-z,now from LDFLAGS

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 Miaojun Dong <zoedong@tencent.com> - 13.3.0-1
- Initial build

